Page MenuHomePhabricator

Archive Jade extension
Closed, ResolvedPublic

Description

Reason
Jade is no longer worked on by the Wikimedia Foundation and is currently being undeployed T281418. I am not aware of any other users. As an additional step I recommend archiving the corresponding Phabricator project and closing the related tasks.

To-do list

  • This task
  • Add maintainers of that extension as subscribers to this task (if they have no apparent Phabricator account, notify them on-wiki or via email if possible and note it here).
  • Add Phabricator project as a tag for this task
  • On-wiki documentation
  • Archive documentation on mediawiki.org at https://www.mediawiki.org/wiki/Extension:Jade : replace page contents with {{Archived extension|last revision id before archiving|task=T######}} (for extensions); replace T###### with this task's number.
  • If documentation page was translatable, remove <translate>, visit Special:PageTranslation, and click "remove from translation" (if you don't have the translation administrator right, ask a user who does).
  • Update https://www.mediawiki.org/wiki/Machine_Learning etc
  • Update Wikidata item (https://www.wikidata.org/wiki/Q50739668) associated with documentation page
    • add statement Abandonware (Q281039) to instance of (P31) together with qualifier start time (P580) = the YYYY-MM-DD date that you decided to archive extension (generally per edit history)
    • add qualifier end time (P582) = the YYYY-MM-DD (same date as above) to instance of (P31) = MediaWiki extension (Q6805426)
  • Phabricator
  • Mark all Phabricator tasks for the extension either Declined or Invalid. Add a comment pointing to this task when doing so for reference.
  • Archive Phabricator project <#Jade> for the extension.
  • Edit Phabricator project <#Jade> description for the extension with a link to this ticket.
  • Translatewiki.net/translations
  • Remove from translatewiki.net (groups/MediaWiki/mediawiki-extensions.txt).
  • Configuration/tests/integrations/etc.
  • Remove tests in integration/config (zuul/layout.yaml).
  • Remove manifest/other references from mediawiki/vagrant if they exist.
  • Remove from https://doc.wikimedia.org/cover-extensions/ if present (requires Continuous-Integration-Infrastructure shell user to delete directly from the server).
  • Repositories
  • Empty repository, leaving only the README indicating the repo is archived, and referring to this task by URL.
  • Remove from mediawiki/extensions (along with in .gitmodules).
  • Mark the repository read-only in Gerrit (also edit description to prepend "[ARCHIVED]" and a reference to this task): (provide Gerrit Repository URL).
  • Archive the Diffusion repository for the extension: rEJAD
  • Delete the GitHub mirror: https://github.com/wikimedia/mediawiki-extensions-JADE

Related Objects

StatusSubtypeAssignedTask
ResolvedACraze
ResolvedLadsgroup

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Peachey88 added subscribers: calbon, Peachey88.

@calbon or someone from the Machine-Learning-Team should triage the tasks, and close off or re-tag tasks as required.

For future reference, Projects-Cleanup links to a checklist template to use for such tasks

Aklapper renamed this task from Archive Jade project to Archive Jade extension.May 3 2021, 9:04 AM
Aklapper updated the task description. (Show Details)
Aklapper triaged this task as Medium priority.May 23 2021, 10:55 PM

In other places, like https://phabricator.wikimedia.org/project/profile/2872/ or https://www.mediawiki.org/wiki/Machine_Learning#Projects , it sounds like JADE is a normal (active) project.

Input from @ACraze would be welcome how to proceed (see also the checklist above).

And quoting Peachey88 from my dup T286545, to make things more complicated:

https://gerrit.wikimedia.org/g/mediawiki/extensions/Jade and https://gerrit.wikimedia.org/g/mediawiki/extensions/JADE appear to be separate Repos

Hi all, yes this is a bit confusing and I am happy to provide some context. The project was initially called JADE (Judgment and Dialog engine), however it was later rebranded as just Jade, which is why there are two separate repos. We have archived the 'JADE' repo, but not the more recent 'Jade' repo, I will make sure to do this soon.

In other places, like https://phabricator.wikimedia.org/project/profile/2872/ or https://www.mediawiki.org/wiki/Machine_Learning#Projects , it sounds like JADE is a normal (active) project.

Thank you for pointing this out, I will update those pages shortly and will work my way through the checklist as I can.

Change 704397 had a related patch set uploaded (by Accraze; author: Accraze):

[mediawiki/extensions@master] archive Jade extension

https://gerrit.wikimedia.org/r/704397

Change 704397 merged by Jforrester:

[mediawiki/extensions@master] archive Jade extension

https://gerrit.wikimedia.org/r/704397

Change 704398 had a related patch set uploaded (by Accraze; author: Accraze):

[translatewiki@master] archive Jade extension

https://gerrit.wikimedia.org/r/704398

Change 704398 merged by jenkins-bot:

[translatewiki@master] archive Jade extension

https://gerrit.wikimedia.org/r/704398

Change 704399 had a related patch set uploaded (by Accraze; author: Accraze):

[integration/config@master] archiving Jade extension

https://gerrit.wikimedia.org/r/704399

Change 704400 had a related patch set uploaded (by Accraze; author: Accraze):

[mediawiki/extensions/Jade@master] archive Jade extension

https://gerrit.wikimedia.org/r/704400

Change 704399 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/Jade] Mark repo as archived

https://gerrit.wikimedia.org/r/704399

Mentioned in SAL (#wikimedia-releng) [2021-07-13T19:24:17Z] <James_F> Zuul: [mediawiki/extensions/Jade] Mark repo as archived T281430

Mentioned in SAL (#wikimedia-releng) [2021-07-13T19:29:30Z] <James_F> Manually deleted Jade extension coverage from doc1001 for T281430

Change 704410 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/vagrant@master] Remove Jade manifest, extension is now archived

https://gerrit.wikimedia.org/r/704410

Change 704418 had a related patch set uploaded (by Raimond Spekking; author: Raimond Spekking):

[translatewiki@master] [Jade] Repo was archived

https://gerrit.wikimedia.org/r/704418

Change 704418 merged by jenkins-bot:

[translatewiki@master] [Jade] Repo was archived

https://gerrit.wikimedia.org/r/704418

Change 704430 had a related patch set uploaded (by Ladsgroup; author: Ladsgroup):

[mediawiki/vagrant@master] Drop jade role

https://gerrit.wikimedia.org/r/704430

Change 704410 merged by jenkins-bot:

[mediawiki/vagrant@master] Remove Jade manifest, extension is now archived

https://gerrit.wikimedia.org/r/704410

Change 704430 merged by jenkins-bot:

[mediawiki/vagrant@master] Drop jade role

https://gerrit.wikimedia.org/r/704430

It seems I was late to the party.

Change 704432 had a related patch set uploaded (by Ladsgroup; author: Ladsgroup):

[mediawiki/extensions/Jade@master] Archive Jade

https://gerrit.wikimedia.org/r/704432

Change 704432 merged by Ladsgroup:

[mediawiki/extensions/Jade@master] Archive Jade

https://gerrit.wikimedia.org/r/704432

Change 704400 abandoned by Ladsgroup:

[mediawiki/extensions/Jade@master] archive Jade extension

Reason:

Done in I2d7c47b4936f64d44434663b904e0758c2475750

https://gerrit.wikimedia.org/r/704400

Ladsgroup assigned this task to ACraze.
Ladsgroup removed a project: Patch-For-Review.
Ladsgroup updated the task description. (Show Details)

This is done now, I just did the last pushes and stuff that required some weird permissions.